Subject: bug#62447: 30.0.50; xref default behaviour changed after a desktop-read

From: Manuel Giraud <[email-masked]>
Date: Sat, 25 Mar 2023 23:50:43 +0100

Manuel Giraud <[email-masked]> writes:

> Yes that's it!  I'm starting Emacs without desktop-save-mode on:
> tags-table-list and tags-file-name are both nil.  I do a desktop-read
> and tags-table-list is set to ("/home/manuel/emacs-repo/lib/TAGS") and
> tags-file-name is set to "/home/manuel/emacs-repo/lib/TAGS".

In fact, my issue really come from having tags-table-list set to
'("/home/manuel/emacs-repo/lib/TAGS").  I don't know how I end up with
this value but now that it is set to '("/home/manuel/emacs-repo/src/TAGS")
(note "src" and not "lib") in the saved desktop this problem does not
show anymore.
-- 
Manuel Giraud